routes/web.php
<?php

Route::get('/', 'FrontpageController@index')->name('products');

Route::resource('/cart', 'CartController');
Route::post('/cart/delete-all', 'CartController@deleteAll')->name('cart.delete.all');

Route::get('/order/checkout', 'OrderController@checkout')->name('checkout');
Route::get('/payment/process', 'OrderController@paymentProcess')->name('payment.process');
Route::post('/shippinginfo/store', 'OrderController@shippinginfoStore')->name('shippinginfo.store');
Route::post('/order/store', 'OrderController@store')->name('order.store');

Route::post('payment/stripe', 'OrderController@postPaymentWithStripe')->name('payment.stripe');


Auth::routes();

// SOCIALITE
Route::get('login/github', 'Auth\LoginController@redirectToProvider')->name('github.login');
Route::get('login/github/callback', 'Auth\LoginController@handleProviderCallback');


// ADMIN
Route::prefix('admin')->middleware(['auth', 'admin'])->group(function () {

    Route::get('/', 'AdminController@admin')->name('admin');
    Route::put('/paymentstatusupdate/{orderid}', 'AdminController@paymentStatusUpdate')->name('admin.paymentstatusupdate');
    
    Route::get('/order/notification', 'OrderController@orderNotification')->name('order.notifications');
    Route::get('/order/read/{notificationid}', 'OrderController@readSingleNotification')->name('read.single.notifications');

    Route::resource('category', 'CategoryController');
    Route::resource('product', 'ProductController');
});

// USER
Route::get('/home', 'HomeController@index')->name('home');
Route::get('/home/shipping-info', 'HomeController@shippingInfo')->name('home.shippinginfo');
Route::get('/home/orderdetails/{orderid}', 'HomeController@orderDetails')->name('home.orderdetails');

resources/views/admin.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">

        <div class="col-md-3">
            <div class="card bg-transparent text-dark rounded-0">
                <div class="card-header text-dark">Admin</div>

                <div class="card-body">
                    <ul class="list-group">
                        <li class="list-group-item bg-transparent rounded-0">
                            <a href="{{ route('admin') }}" class="text-dark font-weight-bold">Dashboard</a>
                        </li>
                        <li class="list-group-item bg-transparent rounded-0">
                            <a href="{{ route('category.index') }}" class="text-dark">Categories</a>
                        </li>
						<li class="list-group-item bg-transparent rounded-0">
                            <a href="{{ route('category.index') }}" class="text-dark">Products</a>
                        </li>
						<li class="list-group-item bg-transparent rounded-0">
                            <a href="" class="text-dark">Settings</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>

        <div class="col-md-9">
            <div class="card bg-transparent text-dark rounded-0">
                <div class="card-header text-dark">Order List</div>

                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>Order ID</th>
                                    <th>Payment Type</th>
                                    <th>Created</th>
                                    <th>Payment Status</th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach($orders as $order)
                                    <tr>
                                        <td>{{ $order->id }}</td>
                                        <td>{{ $order->order_id }}</td>
                                        <td>{{ $order->payment_type }}</td>
                                        <td>{{ $order->created_at->format('d-m-Y') }}</td>
                                        <td>
                                            @if($order->payment_status)
                                                <span class="badge badge-success p-2 rounded-0">Approved</span>
                                            @else
                                                <span class="badge badge-warning p-2 rounded-0">Pending</span>

                                                <a href="{{ route('admin.paymentstatusupdate',$order->order_id) }}" class="btn btn-sm btn-outline-success rounded-0"
                                                    onclick="event.preventDefault();
                                                        document.getElementById('orderstatus-form-{{$order->order_id}}').submit();">
                                                    <span>Approve</span>
                                                </a>
                                                <form id="orderstatus-form-{{$order->order_id}}" action="{{ route('admin.paymentstatusupdate',$order->order_id) }}" method="POST" style="display: none;">
                                                    @csrf
                                                    @method('PUT')
                                                </form>
                                            @endif
                                        </td>
                                        <td>
                                            <a href="{{ route('home.orderdetails',$order->order_id) }}" class="btn btn-sm btn-primary rounded-0">Details</a>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>

            </div>
        </div>

    </div>
</div>
@endsection

resources/views/cart.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">

        <div class="col-md-12 table-responsive">
        	<table class="table table-bordered">
        		<thead>
	                <tr class="text-uppercase text-center">
	                    <th scope="col">
	                        <form action="{{ route('cart.delete.all') }}" method="post">
	                        	@csrf
	                            <button type="submit" class="btn btn-sm btn-light rounded-0 text-danger">x</button>
	                        </form>
	                    </th>
	                    <th scope="col" width="60px">Image</th>
	                    <th scope="col" class="text-left">Product</th>
	                    <th scope="col">Price</th>
	                    <th scope="col" width="200px">Quantity</th>
	                    <th scope="col">Sub Total</th>
	                </tr>
	            </thead>
	            <tbody>
	            	@foreach($products as $product)
	            	<tr>
                        <th class="align-middle text-center" scope="row">
                            <form action="{{ route('cart.destroy',$product->rowId) }}" method="post">
                            	@csrf
                                @method('DELETE')
                                <button type="submit" class="btn btn-sm btn-light rounded-0 text-muted">x</button>
                            </form>
                        </th>

                        <td class="align-middle">
							<img src="{{ asset('images') .'/'. $product->options->image }}" class="img-fluid">
                        </td>
                        <td class="align-middle">
                            {{ $product->name }}
                        </td>

                        <td class="align-middle text-center">
                            ${{ $product->price }}
                        </td>

                        <td class="align-middle text-center">
                            <form class="form-inline" action="{{ route('cart.update',$product->rowId) }}" method="post">
                            	@csrf
                                @method('PUT')
                                <input type="number" name="qty" value="{{ $product->qty }}" class="form-control rounded-0 w-50" min="0">
                                <button type="submit" class="btn btn-default rounded-0 w-50">Update</button>
                            </form>
                        </td>
                        <td class="align-middle text-center">
                        	${{ $product->subtotal }}
                        </td>
                    </tr>
                    @endforeach
                    <tr class="bg-white">
                        <td class="text-center" colspan="4">
                            <a href="{{ route('checkout') }}" class="btn btn-success w-100 rounded-0">Checkout</a>
                        </td>
						<td class="text-right">
							<strong>Total (</strong>tax: ${{ Cart::tax() }}<strong>) :</strong>
                        </td>
                        <td class="text-center">
                            <strong>${{ Cart::total() }}</strong>
                        </td>
					</tr>
	            </tbody>
        	</table>
        </div>

    </div>
</div>
@endsection

resources/views/checkout.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">

        <div class="col-md-8">
            
            <div class="card mb-4 rounded-0">
                <div class="card-body">
                    <h4 class="card-title mb-0">Shipping Information</h4>
                </div>
            </div>

            <form class="" action="{{ route('shippinginfo.store') }}" method="post">
                @csrf
                <div class="row">
                    <div class="col-md-6 mb-3">
                        <label for="firstName">First name <span class="text-danger">*</span></label>
                        <input type="text" class="form-control rounded-0" id="firstName" name="firstname" value="@auth{{ auth()->user()->name }}@endauth" required="">
                        @if ($errors->has('firstname'))
                            <div class="invalid-feedback d-block">
                                {{ $errors->first('firstname') }}
                            </div>
                        @endif
                    </div>
                    <div class="col-md-6 mb-3">
                        <label for="lastName">Last name <span class="text-danger">*</span></label>
                        <input type="text" class="form-control rounded-0" id="lastName" name="lastname" value="" required="">
                        @if ($errors->has('lastname'))
                            <div class="invalid-feedback d-block">
                                {{ $errors->first('lastname') }}
                            </div>
                        @endif
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-6 mb-3">
                        <label for="email">Email <span class="text-danger">*</span></label>
                        <input type="email" class="form-control rounded-0" id="email" name="email" value="@auth{{ auth()->user()->email }}@endauth" required="">
                        @if ($errors->has('email'))
                            <div class="invalid-feedback d-block">
                                {{ $errors->first('email') }}
                            </div>
                        @endif
                    </div>
                    <div class="col-md-6 mb-3">
                        <label for="phone">Phone <span class="text-danger">*</span></label>
                        <input type="number" class="form-control rounded-0" id="phone" name="phone" value="" required="">
                        @if ($errors->has('phone'))
                            <div class="invalid-feedback d-block">
                                {{ $errors->first('phone') }}
                            </div>
                        @endif
                    </div>
                </div>

                <div class="mb-3">
                    <label for="address">Address <span class="text-danger">*</span></label>
                    <input type="text" class="form-control rounded-0" id="address" name="address" required="">
                    @if ($errors->has('address'))
                        <div class="invalid-feedback d-block">
                            {{ $errors->first('address') }}
                        </div>
                    @endif
                </div>

                <div class="mb-3">
                  <label for="address2">Address 2 <span class="text-muted">(Optional)</span></label>
                  <input type="text" class="form-control rounded-0" id="address2" name="address2">
                </div>

                <div class="row">
                    <div class="col-md-5 mb-3">
                        <label for="country">Country <span class="text-danger">*</span></label>
                        <select class="custom-select d-block w-100 rounded-0" name="country" id="country" required="">
                            <option value="">Choose...</option>
                            <option>United States</option>
                            <option>Bangladesh</option>
                        </select>
                        @if ($errors->has('country'))
                            <div class="invalid-feedback d-block">
                                {{ $errors->first('country') }}
                            </div>
                        @endif
                    </div>
                    <div class="col-md-4 mb-3">
                        <label for="state">State <span class="text-danger">*</span></label>
                        <select class="custom-select d-block w-100 rounded-0" name="state" id="state" required="">
                            <option value="">Choose...</option>
                            <option>California</option>
                            <option>Dhaka</option>
                            <option>Rajshahi</option>
                        </select>
                        @if ($errors->has('state'))
                            <div class="invalid-feedback d-block">
                                {{ $errors->first('state') }}
                            </div>
                        @endif
                    </div>
                    <div class="col-md-3 mb-3">
                        <label for="zip">Zip <span class="text-danger">*</span></label>
                        <input type="text" class="form-control rounded-0" id="zip" name="zip" required="">
                        @if ($errors->has('zip'))
                            <div class="invalid-feedback d-block">
                                {{ $errors->first('zip') }}
                            </div>
                        @endif
                    </div>
                </div>
                <hr class="mb-4">
                <div class="custom-control custom-checkbox">
                    <input type="checkbox" class="custom-control-input" id="same-address">
                    <label class="custom-control-label" for="same-address">Shipping address is the same as my billing address</label>
                </div>
                <div class="custom-control custom-checkbox">
                    <input type="checkbox" class="custom-control-input" name="save-info" id="save-info">
                    <label class="custom-control-label" for="save-info">Save this information for next time</label>
                </div>
                <hr class="mb-4">

                <button class="btn btn-primary btn-lg btn-block rounded-0" type="submit">Continue to checkout</button>
            </form>
        </div>

        <div class="col-md-4">
            <ul class="list-group mb-3">
                <li class="list-group-item d-flex justify-content-between rounded-0">
                    <h4>Checkout Details</h4>
                </li>

                @foreach(Cart::content() as $product)
                <li class="list-group-item d-flex justify-content-between">
                    <div>
                        <h5 class="my-0">{{ $product->name }}</h5>
                        <small class="text-muted">Price: ${{ $product->price }} and Items: {{ $product->qty }}</small>
                    </div>
                    <span class="text-muted">${{ $product->subtotal }}</span>
                </li>
                @endforeach
                
                <li class="list-group-item d-flex justify-content-between">
                    <span>Tax (USD):</span>
                    <span>${{ Cart::tax() }}</span>
                </li>                
                <li class="list-group-item d-flex justify-content-between rounded-0">
                    <span><strong>Total (USD):</strong></span>
                    <strong>${{ Cart::total() }}</strong>
                </li>
            </ul>
        </div>

    </div>
</div>
@endsection

resources/views/home.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">

        <div class="col-md-3">
            <div class="card rounded-0">
                <div class="card-header">Dashboard</div>

                <div class="card-body">
                    <ul class="list-group">
                        <li class="list-group-item rounded-0">
                            <a href="{{ route('home') }}" class="text-dark">Order List</a>
                        </li>
                        <li class="list-group-item rounded-0">
                            <a href="{{ route('home.shippinginfo') }}" class="text-dark">Shipping Address</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>

        <div class="col-md-9">
            <div class="card rounded-0">
                <div class="card-header">Order Details</div>

                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>Order ID</th>
                                    <th>Payment Type</th>
                                    <th>Payment Status</th>
                                    <th>Payment Details</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach($orders as $order)
                                    <tr>
                                        <td>{{ $order->id }}</td>
                                        <td>{{ $order->order_id }}</td>
                                        <td>{{ $order->payment_type }}</td>
                                        <td>
                                            @if($order->payment_status)
                                                <span class="badge badge-success p-2 rounded-0">Approved</span>
                                            @else
                                                <span class="badge badge-warning p-2 rounded-0">Pending</span>
                                            @endif
                                        </td>
                                        <td>
                                            <a href="{{ route('home.orderdetails',$order->order_id) }}" class="btn btn-sm btn-primary rounded-0">Details</a>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>

            </div>
        </div>

    </div>
</div>
@endsection

resources/views/orderdetails.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">

        <div class="col-md-3">
            <div class="card bg-transparent text-dark rounded-0">

                @if(auth()->user()->admin)
                    <div class="card-header text-dark">Admin</div>
                    <div class="card-body">
                        <ul class="list-group">
                            <li class="list-group-item bg-transparent rounded-0">
                                <a href="{{ route('admin') }}" class="text-dark font-weight-bold">Dashboard</a>
                            </li>
                            <li class="list-group-item bg-transparent rounded-0">
                                <a href="{{ route('category.index') }}" class="text-dark">Categories</a>
                            </li>
                            <li class="list-group-item bg-transparent rounded-0">
                                <a href="{{ route('category.index') }}" class="text-dark">Products</a>
                            </li>
                            <li class="list-group-item bg-transparent rounded-0">
                                <a href="" class="text-dark">Settings</a>
                            </li>
                        </ul>
                    </div>
                @else 
                    <div class="card-header">Dashboard</div>
                    <div class="card-body">
                        <ul class="list-group">
                            <li class="list-group-item rounded-0">
                                <a href="{{ route('home') }}" class="text-dark">Order List</a>
                            </li>
                            <li class="list-group-item rounded-0">
                                <a href="{{ route('home.shippinginfo') }}" class="text-dark">Shipping Address</a>
                            </li>
                        </ul>
                    </div>
                @endif
            </div>
        </div>

        <div class="col-md-9">
            <div class="card bg-transparent text-dark rounded-0">
                <div class="card-header text-dark">Order Details</div>

                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th>SL.</th>
                                    <th>Image</th>
                                    <th>Name</th>
                                    <th>Price</th>
                                    <th>Quantity</th>
                                    <th>Subtotal</th>
                                </tr>
                            </thead>
                            <tbody>
                                @php 
                                    $total = 0;
                                    $tax = 0.21;
                                @endphp
                                @foreach($orderdetails as $key => $product)
                                    @php
                                        $total += $product->subtotal;
                                    @endphp
                                    <tr>
                                        <td>{{ ++$key }}.</td>
                                        <td>{{ $product->name }}</td>
                                        <td>
                                            <img src="{{ asset('images').'/'.$product->image }}" alt="" width="60px">
                                        </td>
                                        <td>${{ $product->price }}</td>
                                        <td>{{ $product->qty }}</td>
                                        <td>${{ $product->subtotal }}</td>
                                    </tr>
                                @endforeach
                            </tbody>
                            <tfoot>
                                <tr>
                                    <th colspan="3"></th>
                                    <th colspan="2">Total:</th>
                                    <th>${{ $total }}</th>
                                </tr>
                                <tr>
                                    <th colspan="3"></th>
                                    <th colspan="2">Tax:</th>
                                    <th>${{ ($total * $tax) }}</th>
                                </tr>
                                <tr>
                                    <th colspan="3"></th>
                                    <th colspan="2">Grand Total:</th>
                                    <th>${{ $total + ($total * $tax) }}</th>
                                </tr>
                            </tfoot>
                        </table>
                    </div>

                    <table class="table table-bordered">
                        <thead>
                            <tr><th>Address</th></tr>
                        </thead>
                        <tbody>
                            @foreach($orderdetails as $key => $product)
                                @if($key==0)
                                    <tr><td><span>Name: {{ $product->firstname}} {{ $product->lastname}}</span></td></tr>
                                    <tr><td><span>Email: {{ $product->email}}</span></td></tr>
                                    <tr><td><span>Phone: {{ $product->phone}}</span></td></tr>
                                    <tr><td><span>Address: {{ $product->address}}</span></td></tr>
                                    <tr><td><span>Address2: {{ $product->address2}}</span></td></tr>
                                    <tr><td><span>Country: {{ $product->country}}</span></td></tr>
                                    <tr><td><span>State: {{ $product->state}}</span></td></tr>
                                    <tr><td><span>Zip Code: {{ $product->zip}}</span></td></tr>
                                @endif
                            @endforeach
                        </tbody>
                    </table>
                </div>

            </div>
        </div>

    </div>
</div>
@endsection

resources/views/products.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">

		@foreach($products as $product)
        <div class="col-md-3 mb-4">
            <div class="card">
				<img class="card-img-top" src="{{ asset('images') .'/'. $product->image }}" alt="{{ $product->name }}">
				<div class="card-body">
					<h5 class="card-title">{{ $product->name }}</h5>
				    <p class="card-text font-weight-bold">${{ $product->price }}</p>

				    <form action="{{ route('cart.store') }}" method="post">
				    	@csrf
				    	<input type="hidden" name="id" value="{{ $product->id }}">
				    	<input type="hidden" name="name" value="{{ $product->name }}">
				    	<input type="hidden" name="price" value="{{ $product->price }}">
				    	<input type="hidden" name="image" value="{{ $product->image }}">
				    	<div class="form-group">
				    		<input type="number" name="qty" value="1" class="form-control w-50 rounded-0 float-left border-right-0" min="1">
				    		<input type="submit" name="submit" value="Add to Cart" class="form-control w-50 rounded-0 btn btn-warning float-left border-top border-right border-bottom">
				    	</div>
				    </form>
				</div>
			</div>
        </div>
        @endforeach

    </div>
</div>
@endsection